Plugin muggle 0.1.11 kann nicht übersetzt werden (gelöst)

  • Hallo,


    ich habe folgendes Problem beim erstellen vom PLUGIN muggle Version 0.1.11 unter der VDR Version 1.4.4
    Fehlermeldung:


    Patch" cat muggle-0.1.11.diff | patch" habe ich installiert


    MfG


    Juergen B.

    Meine VDR's:
    Test VDR: UBUNTU 14.04 LTS, Gigabyte GAK8N51GMF, Geforce 8200, 1xWinTV-NOVA-S2-HD, LG M227WD
    Arbeitszimmer: openSuse 13.2 , Asrock K10N78, 2xWinTV NOVA-S2 HD, LG M227WD, VDR, GT430
    Wohnzimmer: UBUNTU 14.04 LTS, KODI 15.1 (SKIN ACE); GT240, 1xWinTV NOVA-S2-HD, SAMSUNG UE40 C5600


    VDR-Fan

    Edited once, last by baben_j ().

  • Schade,


    keine Info für mich.


    Läuft denn das PLUGIN muggle mit der VDR Version >= 1.4.4 ?


    MfG


    Juergen B.

    Meine VDR's:
    Test VDR: UBUNTU 14.04 LTS, Gigabyte GAK8N51GMF, Geforce 8200, 1xWinTV-NOVA-S2-HD, LG M227WD
    Arbeitszimmer: openSuse 13.2 , Asrock K10N78, 2xWinTV NOVA-S2 HD, LG M227WD, VDR, GT430
    Wohnzimmer: UBUNTU 14.04 LTS, KODI 15.1 (SKIN ACE); GT240, 1xWinTV NOVA-S2-HD, SAMSUNG UE40 C5600


    VDR-Fan

  • Hallo,


    bekomme nun folgende Fehlermeldung:

    Code
    Plugin muggle:
    make[1]: Entering directory `/usr/local/src/vdr_files/vdr-1.4.5/PLUGINS/src/muggle-0.1.11'
    g++ -fPIC -O2 -Wall -Wformat=2 -Woverloaded-virtual -Wno-deprecated -g -shared muggle.o i18n.o mg_valmap.o mg_db.o mg_thread_sync.o mg_item.o mg_item_gd.o mg_listitem.o mg_selection.o mg_sel_gd.o vdr_actions.o vdr_menu.o mg_tools.o vdr_decoder_mp3.o vdr_stream.o vdr_decoder.o vdr_player.o vdr_setup.o mg_setup.o mg_incremental_search.o mg_image_provider.o mg_db_gd_mysql.o -lmad -L/usr/lib64 -ltag -L/usr/lib64/mysql -lmysqld -lz -lpthread -lcrypt -lnsl -lm -lpthread -lwrap -lrt  -o libvdr-muggle.so
    /usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: cannot find -lwrap
    collect2: ld returned 1 exit status
    make[1]: *** [libvdr-muggle.so] Error 1
    make[1]: Leaving directory `/usr/local/src/vdr_files/vdr-1.4.5/PLUGINS/src/muggle-0.1.11'


    Also daraus sehe ich das "wrap" fehlt.
    Aber wozu gehört "wrap" ?


    MfG


    Juergen B.

    Meine VDR's:
    Test VDR: UBUNTU 14.04 LTS, Gigabyte GAK8N51GMF, Geforce 8200, 1xWinTV-NOVA-S2-HD, LG M227WD
    Arbeitszimmer: openSuse 13.2 , Asrock K10N78, 2xWinTV NOVA-S2 HD, LG M227WD, VDR, GT430
    Wohnzimmer: UBUNTU 14.04 LTS, KODI 15.1 (SKIN ACE); GT240, 1xWinTV NOVA-S2-HD, SAMSUNG UE40 C5600


    VDR-Fan

  • Hallo,


    konnte jetzt das PLUGIN "muggle" erstellen, nachdem ich noch das Paket "tcpd-devel" installiert habe.


    MfG


    Juergen B.

    Meine VDR's:
    Test VDR: UBUNTU 14.04 LTS, Gigabyte GAK8N51GMF, Geforce 8200, 1xWinTV-NOVA-S2-HD, LG M227WD
    Arbeitszimmer: openSuse 13.2 , Asrock K10N78, 2xWinTV NOVA-S2 HD, LG M227WD, VDR, GT430
    Wohnzimmer: UBUNTU 14.04 LTS, KODI 15.1 (SKIN ACE); GT240, 1xWinTV NOVA-S2-HD, SAMSUNG UE40 C5600


    VDR-Fan

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!